UI.AddCheckbox("Clantag") // This will add a checkbox into the menu
var currentTick = 0; //this is some vars, i will not explain every one
var lastTick = 0;
var special = false
var speed = 25; // this var is most important , this is clantag speed 
var ctag = 0

function Draw() // This will make a function called "Draw"
{
    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "Clantag")) // if the checkbox called "Clantag" is checked , then it will make the function
    {
    currentTick = parseInt(Globals.Curtime() * 1000);
    if (currentTick - (10000 / speed) >= lastTick)
        {
        switch ((ctag) % 42) //There are clantag getting set by switch and cases
                {
                case 1: { Local.SetClanTag("Yehuo.vip"); break; } //
                case 2: { Local.SetClanTag("Yehuo.vi9"); break; } //
                case 3: { Local.SetClanTag("Yehuo.vi"); break; } //
                case 4: { Local.SetClanTag("Yehuo.v1"); break; } //
				case 5: { Local.SetClanTag("Yehuo.v"); break; } //
				case 6: { Local.SetClanTag("Yehuo.7"); break; } //
				case 7: { Local.SetClanTag("Yehuo."); break; } //
				case 8: { Local.SetClanTag("Yehuo"); break; } //
				case 9: { Local.SetClanTag("Yehu0"); break; } //
				case 10: { Local.SetClanTag("Yehu"); break; } //
				case 11: { Local.SetClanTag("Yeh\/"); break; } //
				case 12: { Local.SetClanTag("Yeh"); break; } //
				case 13: { Local.SetClanTag("Ye&"); break; } //
				case 14: { Local.SetClanTag("Ye"); break; } //
				case 15: { Local.SetClanTag("Y3"); break; } //
				case 16: { Local.SetClanTag("Y"); break; } //
				case 17: { Local.SetClanTag("|/"); break; } //
				case 18: { Local.SetClanTag(" "); break; } //
				case 19: { Local.SetClanTag("|/"); break; } //
				case 20: { Local.SetClanTag("Y"); break; } //
				case 21: { Local.SetClanTag("Y3"); break; } //
				case 22: { Local.SetClanTag("Ye"); break; } //
				case 23: { Local.SetClanTag("Ye&"); break; } //
				case 24: { Local.SetClanTag("Yeh"); break; } //
				case 25: { Local.SetClanTag("Yeh\/"); break; } //
				case 26: { Local.SetClanTag("Yehu"); break; } //
				case 27: { Local.SetClanTag("Yehu0"); break; } //
				case 28: { Local.SetClanTag("Yehuo"); break; } //
				case 29: { Local.SetClanTag("Yehuo"); break; } //
				case 30: { Local.SetClanTag("Yehuo.7"); break; } //
				case 31: { Local.SetClanTag("Yehuo.v"); break; } //
				case 32: { Local.SetClanTag("Yehuo.v1"); break; } //
				case 33: { Local.SetClanTag("Yehuo.vi"); break; } //
				case 34: { Local.SetClanTag("Yehuo.vi9"); break; } //
				case 35: { Local.SetClanTag("Yehuo.vip"); break; } //
                }
        if (ctag == 35) //
            {
            ctag = 0;
            }else
            {
            ctag = ctag+1;
            }
        lastTick = currentTick;
        }
    }
}

Cheat.RegisterCallback("Draw", "Draw"); // 